Skip to main content
Platform O&M/Automated O&M/Script Library

QueryGuestVmScriptExecutedRecord

QueryGuestVmScriptExecutedRecord

GET/zstack/v1/scripts/records
GET/zstack/v1/scripts/records/{uuid}

Operation ID

QueryGuestVmScriptExecutedRecord

Since

5.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories

    • uuid
      StringRequired

      The resource UUID.

    • scriptUuid
      StringRequired

      The script UUID.

    • recordName
      StringRequired

      The execution record name.

    • scriptTimeout
      IntegerRequired

      The timeout period.

    • status
      StringRequired

      The execution status.

    • executor
      StringRequired

      The execution.

    • executionCount
      IntegerRequired

      The execution times.

    • version
      IntegerRequired

      The version.

    • scriptContent
      StringRequired

      The script content.

    • startTime
      TimestampRequired

      The start time.

    • endTime
      TimestampRequired

      The end time.

  • Change Time

    AddedResponse fields cause, code, description...
    View API